net.sourceforge.pmd

## Class RuleSetWriterTest

- java.lang.Object
- - net.sourceforge.pmd.RuleSetWriterTest

    public class RuleSetWriterTest
    extends Object

Unit test for `RuleSetWriter`.

### Constructor Summary

Constructors
Constructor and Description
`RuleSetWriterTest()`

### Method Summary

Methods
`void` `testWrite()` Tests the exclude rule behavior.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RuleSetWriterTest

    public RuleSetWriterTest()

### Method Detail

#### testWrite

    public void testWrite()
                   throws Exception

Tests the exclude rule behavior. See bug #945.

Throws:
  `Exception` - any error